Get a medication by ID
get
/Medication/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves an individual medication by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful retrieve response.
Root Schema : Medication
Type:
objectA medication identified by terminology coding or a compound ingredient list.
Show Source
-
code(required): object
CodeableConcept
-
id(required): string
The logical ID of the medication.
-
ingredient: array
ingredient
The medication components for a compound medication.
-
meta: object
meta
-
resourceType(required): string
Allowed Values:
[ "Medication" ] -
text(required): object
Narrative
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : ingredient
Type:
arrayThe medication components for a compound medication.
Show Source
Nested Schema : meta
Type:
Show Source
object-
lastUpdated: string
(date-time)
The last update time.
-
security: array
security
-
versionId: string
The version-specific identifier.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : ReferenceForMedication
Type:
Show Source
object-
display: string
The human-readable ingredient name.
-
reference(required): string
The relative medication reference.
-
type(required): string
Allowed Values:
[ "Medication" ]The referenced resource type.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source